using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
    
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class Service : System.Web.Services.WebService
{
    // 
    [WebMethod]
    public double Add(double x, double y) 
    {
        return x + y;
    }
    
    // 
    [WebMethod]
    public double Subtract(double x, double y)
    {
        return x - y;
    }
    
    // 
    [WebMethod]
    public double Multiply(double x, double y)
    {
        return x * y;
    }
    
    // 
    [WebMethod]
    public double Divide(double x, double y)
    {
        //   
        if (Math.Abs(y) < 1.0E-30)
            throw new DivideByZeroException("  !");
        else
            return x / y;
    }
}
